import { ChangeDetectorRef, ElementRef, NgZone, OnDestroy, OnInit } from '@angular/core';
import { BbNotification, BbNotificationAction } from '../notifications.interfaces';
import { BbPlatform } from '../../core/services/platform.service';
export declare class BbNotificationsItem implements OnInit, OnDestroy {
    private _zone;
    private _platform;
    private _changeDetection;
    notification: BbNotification;
    dismissButtonText: string | null;
    progressElementRef: ElementRef;
    private _progress;
    private _count;
    private _steps;
    private _speed;
    private _timer;
    private _startTime;
    private _difference;
    private readonly _radius;
    private readonly _circumference;
    readonly getClass: string;
    constructor(_zone: NgZone, _platform: BbPlatform, _changeDetection: ChangeDetectorRef);
    readonly progressStrokeArray: string;
    readonly progressStrokeOffset: number;
    readonly isContentString: boolean;
    ngOnInit(): void;
    ngOnDestroy(): void;
    callActionAndDestroy: (notification: BbNotification, action: BbNotificationAction) => void;
    private startTimeout;
    private instance;
    private setTimeout;
}
