import { BbLocalizeConfig, BbLocalizeData } from './localize.interfaces';
import { BbInterpolator } from '../core/services/interpolator.service';
import { BbLanguage } from '../core/services/language.service';
import { BbStorage } from '../core/services/storage.service';
export declare class BbLocalize {
    private _storage;
    private _language;
    private _interpolator;
    private _config;
    private readonly _dictionary;
    private readonly _currentDictionary;
    private readonly _storageToken;
    constructor(_storage: BbStorage, _language: BbLanguage, _interpolator: BbInterpolator, _config: BbLocalizeConfig);
    getLocale(): string;
    setLanguage(language: string): void;
    unsetLanguage(): void;
    translate(token: string, data?: BbLocalizeData): any;
    private searchForTranslation;
    private log;
    private reload;
}
